.Dd 2016-06-01
.Dt MATROID-FINDER 1
.Os
.Sh NAME
.Nm matroid-finder
.Nd finds matroids of plabic graphs
.Sh SYNOPSIS
.Nm
.Ar input-file
.Sh DESCRIPTION
A
.Em plabic ,
or
.Ql planar, bicolored
graph, is a collection of vertices, undirected edges, and a color
associated to each vertex: either black or white. Edges may either be
between two vertices, or from some vertex to a point on
.Ql the boundary
of the graph: a circle enclosing the entire graph. The edges cannot
cross
.Pq this is what it means to be Em planar
, and the graph need not be connected. A vertex can only be
adjacent to one boundary edge: such vertices are called
.Ql boundary vertices
.Pp
We may consider turning a plabic graph from an undirected graph into a
directed one, simply by assigning directions to each edge.  This turns
the plabic graph into a
.Em network.
.Pp
A network associated to a plabic graph is
.Em perfectly oriented
if the following conditions are satisfied.
.Bl -bullet
.It
For every white vertex, exactly one edge points
.Em towards
it.
.It
For every black vertex, exactly one edge points
.Em away from
it.
.El
.Pp
Most plabic graphs admit many networks. Some (maybe none) of those
networks are perfectly oriented. For a number of interesting
properties, it turns out that all that matters is the directions of
the boundary edges. A boundary vertex whose boundary edge points away
from it
.Pq towards the boundary
is called a
.Em sink vertex .
A boundary vertex whose boundary edge points towards it is called a
.Em source vertex .
The
.Em matroid
of a plabic graph is the set of collections of sink vertices which
admit a perfectly oriented network: i.e. fixing these boundary
vertices as sinks, and the other boundary vertices as sources, allows
a choice of edge directions such that the resulting plabic network is
perfectly oriented. For more information, see Postnikov's paper.
.Pp
.Rs
.%A Alexander Postnikov
.%D 2006
.%T Total Positivity, Grassmannians, and Networks
.%O Preprint at http://arxiv.org/abs/math/0609764
.Re
.Sh FILES
The
.Nm
program must read a description of a plabic graph from a file. The
file is of the following form:
.Pp
.Dl [W]
.Dl Ar name Ar name Ar name Ar ...
.Dl Ar name Ar name Ar name Ar ...
.Dl Ar ...
.Dl
.Dl [B]
.Dl Ar name Ar name Ar name Ar ...
.Dl
.Dl [E]
.Dl Po Ar name Ar name Pc  Po Ar name Ar name Pc Ar ...
.Pp
where each
.Ar name
is the name of a vertex: a collection of non-whitespace characters
.Pq unicode is okay
that are not
.Ql \&[ ,
.Ql \&] ,
.Ql \&( ,
or
.Ql \&) .
Those vertices listed following
.Ql [W]
are colored white, those following
.Ql [B]
are colored black. No duplication is allowed. Edges are listed
following the
.Ql [E]
marker, and must be either between two
.Ql distinct
vertices or between a vertex and the special string
.Ql BOUNDARY ,
which is not allowed as a vertex name. An edge between
.Ar v
and
.Ar BOUNDARY
marks
.Ar v
as a boundary vertex.
